Master Wallet Withdraw
curl --request POST \
--url https://api.blockradar.co/v1/gateway/withdraw \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{
"amount": "10"
}'import requests
url = "https://api.blockradar.co/v1/gateway/withdraw"
payload = { "amount": "10" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '10'})
};
fetch('https://api.blockradar.co/v1/gateway/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"amlScreening": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
},
"amount": "1",
"amountPaid": "1",
"amountUSD": "1",
"asset": {
"address": "0x036CbD53842c5426634e7929541eC2318f3dCF7e",
"createdAt": "2024-05-27T14:31:19.442Z",
"currency": "USD",
"decimals": 6,
"id": "0927dc05-7d4e-4c0a-82c6-98ceb170ab84",
"isActive": true,
"isNative": false,
"name": "USD Coin",
"network": "testnet",
"standard": null,
"symbol": "USDC",
"updatedAt": "2025-04-17T04:50:20.019Z"
},
"assetSwept": null,
"assetSweptAmount": null,
"assetSweptAt": null,
"assetSweptGasFee": null,
"assetSweptHash": null,
"assetSweptRecipientAddress": null,
"assetSweptSenderAddress": null,
"blockHash": null,
"blockNumber": null,
"blockchain": {
"createdAt": "2024-05-27T14:31:14.966Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "74733889-4ecd-403e-9840-94e87c043f24",
"isActive": true,
"isEvmCompatible": true,
"isL2": true,
"name": "base",
"slug": "base",
"symbol": "eth",
"tokenStandard": null,
"updatedAt": "2024-11-26T20:04:13.945Z"
},
"chainId": 84532,
"confirmations": null,
"confirmed": false,
"createdAt": "2025-08-17T01:48:37.989Z",
"currency": "USD",
"fee": null,
"feeHash": null,
"gasFee": null,
"gasPrice": null,
"gasUsed": null,
"hash": null,
"id": "c5e9ec3c-c7b1-4d84-a76e-056b8246f461",
"metadata": null,
"network": "testnet",
"note": "Withdrawal of 1 USDC from gateway smart wallet 0x0077777d7EBA4688BDeF3E311b846F25870A19B9",
"rate": null,
"rateUSD": "1",
"reason": "Balance Before: 9.749252 USDC | Network Fee: 2.005999 USDC | Gasless: false",
"recipientAddress": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",
"reference": "tcApNlezq",
"senderAddress": "0x947514e4B803e312C312da0F1B41fEDdbe15ae7a",
"signedTransaction": null,
"status": "PENDING",
"toAmount": null,
"toCurrency": null,
"tokenAddress": null,
"type": "GATEWAY_WITHDRAW",
"updatedAt": "2025-08-17T01:48:37.989Z",
"wallet": {
"address": "0x947514e4B803e312C312da0F1B41fEDdbe15ae7a",
"configurations": null,
"createdAt": "2024-08-22T16:05:46.167Z",
"derivationPath": "m/44'/60'/0'/0/0",
"description": "This is Base wallet",
"id": "e17dea25-6c01-4b3a-a4ae-51f411bf69cd",
"isActive": true,
"name": "Base Wallet",
"network": "testnet",
"status": "ACTIVE",
"updatedAt": "2024-08-22T16:05:46.167Z"
}
},
"message": "Withdraw initiated successfully",
"statusCode": 200
}Master Wallet Withdraw
This endpoint allows you to initiate a gateway withdrawal.
Body Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| amount | true | string | The amount to be deposited. |
| address | true | string | The receipient address. |
| blockchain | true | string | The blockchain network. |
| reference | false | string | This would be the transaction reference |
| metadata | false | object | This would be atteched to the transaction payload |
POST
/
v1
/
gateway
/
withdraw
Master Wallet Withdraw
⌘I

